# Plugin Wordpres Publimmo
Ce plugin permet de récupérer les biens d'une agence en se connectant à l'API de Publimmo

# Prérequis
- Publimmo Queue (Version modifiée par Valdev)

# Lister les objets
### Utilisation
Insérer le shortcode suivant :
```bash
[publimmo-listing]
```
### Parmètres facultatifs
Type de transaction (Laisser vide pour les deux, 1=vente, 2=location)
```bash
transaction-type
```
Nombre de propriétés affichées sur la page avant la pagination
```bash
properties-number
```
Numéro de la région
```bash
region
```
Type d'objet (1=Appartement, 2=Immeuble, 3=Commercial, 4=Maison, 5=Terrain, 6= parc, garage)
```bash
properties-type
```
Affiche ou non le filtre des régions (1 = affiché, 0 = masqué)
```bash
display-filter-area
```
Affiche ou non le filtre du type de biens (1 = affiché, 0 = masqué)
```bash
display-filter-properties-type
```
Affiche ou non le filtre des mots-clés (1 = affiché, 0 = masqué)
```bash
display-filter-keywords
```
N'affiche que les objets du courtier indiqué
```bash
broker-id
```
Couleur principale avec (Pour les boutons, prix, ...)
```bash
primary-color=#323523
```
Couleur secondaire (Pour le hover des boutons, ...)
```bash
secondary-color=#423523
```
Langue (fr,en ou de)
```bash
lang
```
Pour la page d'accueil (1=oui, 2=non), coupler avec le paramètre [properties-number]
```bash
homepage
```
Pour la page d'accueil, type d'affichage (1= x derniers objets "Louer", 2= x derniers objets "Acheter", 3= choisir objets)
```bash
homepage-display-type
```
Dans le cas ou [homepage-display-type] est à 3
```bash
homepage-display-type-ids
```