jQuery(document).ready(function(jQuery) {
	
	if(jQuery(window).width() <= 767){
		jQuery(".adv_handler, #submitForm, .adv_handler_refresh").fadeIn();
		jQuery("#submitForm.btn-submit-lg").css("width","100%");
	}else{
		jQuery("#submitForm.btn-submit-lg").width(jQuery("#button-container").width()-132);
		jQuery(".adv_handler, #submitForm, .adv_handler_refresh").fadeIn();
	}
	
	jQuery(window).resize(function() {
		if(jQuery(window).width() <= 767){
			jQuery(".adv_handler, #submitForm, .adv_handler_refresh").fadeIn();
			jQuery("#submitForm.btn-submit-lg").css("width","100%");
		}else{
			jQuery("#submitForm.btn-submit-lg").width(jQuery("#button-container").width()-132);
			jQuery(".adv_handler, #submitForm, .adv_handler_refresh").fadeIn();
		}
	});
    
    if (jQuery("#image-search").length >= 1) {
        SetHeightImage();
    }

    jQuery(".property_unit_carousel").swipe({
        swipe: function(event, direction, distance, duration, fingerCount, fingerData) {
            if (direction == 'left') jQuery(this).carousel('next');
            if (direction == 'right') jQuery(this).carousel('prev');
        },
        allowPageScroll: "vertical"
    });

    jQuery('#owl-carousel-object').owlCarousel({
        nav: true,
        loop: true,
        autoWidth: true,
        items: 1,
        center: true,
        dots: false,
        navText: ['<i class="demo-icon icon-left-open-big"></i>', '<i class="demo-icon icon-right-open-big"></i>']
    })

    jQuery('#type_1 li').click(function(event) {
        event.preventDefault();
        jQuery('.disabled-dropdown').removeClass("show");
        value = jQuery(this).attr('data-value');
        if(value == 3 || value == 5 || value == 2 || value == 6){
	        jQuery('#pieceMin .disabled-dropdown').addClass("show").removeClass("hidden");
        }
         if(value == 2 || value == 6){
	        jQuery('#surfaceMin .disabled-dropdown').addClass("show").removeClass("hidden");
        }
    });
    
	jQuery('#t li').click(function(event) {
        event.preventDefault();
        value = jQuery(this).attr('data-value');
        if(value != 2){
	        jQuery(".hide-if-location").removeClass("hidden");
        }else{
	        jQuery(".hide-if-location").addClass("hidden");
        }
    });
    
    jQuery('.search-with-redirection #t li').click(function(event) {
	    event.preventDefault();
        value = jQuery(this).attr('data-value');
        if(value == ""){
	        form_action = jQuery("#search-form").attr("data-redirectiontous");
	        jQuery("#search-form").attr("action", form_action);
        }
        if(value == "1"){
	        form_action = jQuery("#search-form").attr("data-redirectionacheter");
	         jQuery("#search-form").attr("action", form_action);
        }
        if(value == "2"){
	        form_action = jQuery("#search-form").attr("data-redirectionlouer");
	         jQuery("#search-form").attr("action", form_action);
        }
    });
    
    jQuery('.adv_handler').click(function(event){
        event.preventDefault();
        if(jQuery('#search_wrapper').hasClass("search-open")){
	        jQuery('#search_wrapper').removeClass("search-open");
        }else{
	        jQuery('#search_wrapper').addClass("search-open");
        }
    });

    var pagination = getUrlParameter('px');
    if (pagination == "lx") {
        target = jQuery("#listing-objects");
        hh = jQuery(".header_wrapper").height();
        jQuery('html,body').animate({
            scrollTop: target.offset().top - hh
        }, 1000);
    }

    jQuery('iframe[src*="youtube.com"], iframe[src*="vimeo.com"]').wrap('<div class="video-container"/>');

    /* *****************************************
     * Checkboxes
     * *****************************************/
    jQuery('.js-checkbox').change(function() {
        jQuery('.js-label[for=' + jQuery(this).attr('id') + '] i').toggleClass('icomoon-form_checkbox_checked icomoon-form_checkbox');
    });

    /* *****************************************
     * Switch
     * *****************************************/
    if (jQuery('.js-switch').length > 0) {
        jQuery('.js-switch').each(function() {
            if (jQuery(this).children(':first-child').hasClass('active')) {
                jQuery(this).addClass('a');
            } else {
                jQuery(this).addClass('b');
            }
            jQuery(this).children().wrapAll('<span style="display:table"></span>');
        });
        jQuery('.js-switch').on('click', function() {
            jQuery(this).find('div').toggleClass('active');
            jQuery(this).toggleClass('a b');
            jQuery(this).find('input').val(jQuery(this).find('.active').html().toLowerCase());
        });
    }

    jQuery('.wpresidence_button_bottom').on('touchstart click', function(e) {
        e.preventDefault();
    });

    // jQuery('#goto-email, .wpresidence_button_bottom, #goto-email-mobile').on('touchstart click', function(e) {
    //     e.preventDefault();
    //     heightTotal = getHeightDemande();
    //     jQuery("html, body").animate({
    //         scrollTop: jQuery('#demande-de-dossier').offset().top - heightTotal
    //     }, 1000);
    // });

    /* *****************************************
     * Magnific popup
     * *****************************************/
    jQuery('.grid-gallery a').magnificPopup({
        type: 'image',
        gallery: {
            enabled: true,
            tPrev: '',
            tNext: '',
            tCounter: '%curr% / %total%',
            image: {
                titleSrc: 'title'
            },
            markup: '<div class="mfp-figure">' +
                '<div class="mfp-close"></div>' +
                '<div class="mfp-img"></div>' +
                '<div class="mfp-bottom-bar">' +
                '<div class="mfp-title"></div>' +
                '<div class="mfp-counter"></div>' +
                '</div>' +
                '</div>'
        }
    });

    jQuery('.grid-gallery a').on('mfpImageLoadComplete', function(e) {
        jQuery(".btn-modal").on('click', function(e) {
            jQuery.magnificPopup.instance.close();
            heightTotal = getHeightDemande();
            jQuery("html, body").animate({
                scrollTop: jQuery('#demande-de-dossier').offset().top - heightTotal
            }, 1000);
        });
        if(jQuery("#watermark-options").length >= 1){
	        jQuery(".mfp-img").watermark({
				path: String(jQuery("#watermark-options").attr("data-path")),
				gravity: String(jQuery("#watermark-options").attr("data-gravity")), 
				opacity: String(jQuery("#watermark-options").attr("data-opacity")),
				margin: String(jQuery("#watermark-options").attr("data-margin"))
			});
        }
    });

    jQuery('.owl-item').not(".cloned").find("a").magnificPopup({
        type: 'image',
        gallery: {
            enabled: true,
            tPrev: '',
            tNext: '',
            tCounter: '%curr% / %total%',
            image: {
                titleSrc: 'title'
            },
            markup: '<div class="mfp-figure">' +
                '<div class="mfp-close"></div>' +
                '<div class="mfp-img"></div>' +
                '<div class="mfp-bottom-bar">' +
                '<div class="mfp-title"></div>' +
                '<div class="mfp-counter"></div>' +
                '</div>' +
                '</div>'
        }
    });

    jQuery('.owl-item').not(".cloned").find("a").on('mfpImageLoadComplete', function(e) {
        jQuery(".btn-modal").on('click', function(e) {
            jQuery.magnificPopup.instance.close();
            heightTotal = getHeightDemande();
            jQuery("html, body").animate({
                scrollTop: jQuery('#demande-de-dossier').offset().top - heightTotal
            }, 1000);
        });
        if(jQuery("#watermark-options").length >= 1){
	        jQuery(".mfp-img").watermark({
				path: String(jQuery("#watermark-options").attr("data-path")),
				gravity: String(jQuery("#watermark-options").attr("data-gravity")), 
				opacity: String(jQuery("#watermark-options").attr("data-opacity")),
				margin: String(jQuery("#watermark-options").attr("data-margin"))
			});
        }
    });

    jQuery('.popup-with-pano').magnificPopup({
        type: 'ajax',
        gallery: {
            enabled: true,
            tPrev: '',
            tNext: '',
            tCounter: '%curr% / %total%'
        }
    });

    jQuery('.popup_iframe').magnificPopup({
        type: 'iframe',
        iframe: {
            markup: '<div class="mfp-iframe-scaler">' +
                '<div class="mfp-close"></div>' +
                '<iframe class="mfp-iframe" frameborder="0" allowfullscreen></iframe>' +
                '<div class="mfp-bottom-bar">' +
                '<div class="mfp-title"></div>' +
                '</div>' +
                '</div>'
        },
        callbacks: {
            markupParse: function(template, values, item) {
                values.title = item.el.attr('title');
            }
        }
    });

    jQuery('.page-template-page-objet .popup_iframe').on('mfpOpen', function(e) {
        jQuery(".btn-modal").on('click', function(e) {
            jQuery.magnificPopup.instance.close();
            heightTotal = getHeightDemande();
            jQuery("html, body").animate({
                scrollTop: jQuery('#demande-de-dossier').offset().top - heightTotal
            }, 1000);
        });
    });

    jQuery('.floor_image a').magnificPopup({
        type: 'image',
        gallery: {
            enabled: true,
            tPrev: '',
            tNext: '',
            tCounter: '%curr% / %total%',
            image: {
                titleSrc: 'title'
            },
            markup: '<div class="mfp-figure">' +
                '<div class="mfp-close"></div>' +
                '<div class="mfp-img"></div>' +
                '<div class="mfp-bottom-bar">' +
                '<div class="mfp-title"></div>' +
                '<div class="mfp-counter"></div>' +
                '</div>' +
                '</div>'
        }
    });

    /* *****************************************
     * Form sending
     * *****************************************/
    jQuery('.form-publimmo').on('submit', function() {
        that = jQuery(this);
        that.find('.required').each(function() {
            if (jQuery(this).val() === '') {
                jQuery(this).addClass('error');
            } else {
                jQuery(this).removeClass('error');
            }
        });
        if (jQuery('.form-publimmo .error').length === 0) {
            jsonObj = [];
            jQuery(".form-publimmo input").each(function() {
                jsonObj.push({
                    'name': this.name,
                    'value': jQuery(this).val()
                });
            });
            jQuery(".form-publimmo textarea").each(function() {
                jsonObj.push({
                    'name': this.name,
                    'value': jQuery(this).val()
                });
            });
            jQuery(".form-publimmo select").each(function() {
                jsonObj.push({
                    'name': this.name,
                    'value': jQuery(this).val()
                });
            });
            jQuery.ajax({
                type: 'POST',
                url: "/wp-admin/admin-ajax.php?action=sendform",
                data: jsonObj
            }).done(function(data) {
                res = jQuery.parseJSON(data);
                jQuery('#form-msg').html(res.msg);
                if (res.status == 0) {
                    jQuery(res.fieldID).addClass('error');
                    jQuery('#form-msg').attr('class', 'error');
                } else {
                    that.remove();
                    jQuery('#form-msg').attr('class', 'success');
                }
            });
        } else {
            htmlMsg = 'Certains champs requis ne sont pas renseignés. Veuillez remplir les champs en surbrillance.';
            if (jQuery('input[name=lang]').val() == 'de') {
                htmlMsg = 'Bitte füllen sie all felden aus';
            }
            if (jQuery('input[name=lang]').val() == 'en') {
                htmlMsg = 'Required fields are not informed, please fill them up.';
            }
            jQuery('#form-msg').attr('class', 'error').html(htmlMsg);
        }

        return false;
    });

    /* *****************************************
     * localStorage
     * *****************************************/
    jQuery('.form-publimmo input, .form-publimmo select').each(function() {
        name = jQuery(this).attr('name');
        data = localStorage[name];
        if (data) {
            jQuery(this).val(data);
        }
        if (jQuery(this).is(":hidden")) {
            jQuery(this).parent().children().children(".value-dropdown").html(data);
        }
    });

    jQuery('.form-publimmo input[type=text], .form-publimmo textarea').keyup(function() {
        localStorage[jQuery(this).attr('name')] = jQuery(this).val();
    });

    jQuery('.advanced_search_sidebar .filter_menu li').on('click', function() {
        localStorage[jQuery(this).parent().parent().children("input").attr('name')] = jQuery(this).text();
    });

    /* *****************************************
     * localStorage or prev and next objects
     * *****************************************/
    if (typeof objectList !== 'undefined') {
        localStorage['objectList'] = objectList;
    }

    /* *****************************************
     * Open pano360° when click + button
     * *****************************************/
    jQuery(".more-pano .circle-plus").on('click', function(e) {
        jQuery('#pano-0').click();
    });

    /* *****************************************
     * Increment numbers
     * *****************************************/
    increment_key_figures();

    jQuery(window).scroll(function(event) {
        increment_key_figures();
    });

    function increment_key_figures() {
        if (jQuery(".key-figures-container").length >= 1 && !jQuery(".key-figures-container").hasClass("done")) {
            if (jQuery(".key-figures-container").offset().top < jQuery(window).scrollTop() + jQuery(window).outerHeight() - 100) {
                jQuery(".key-figures-container").addClass("done");
                if (jQuery(".key-figures-container .timer-1").length >= 1) {
                    jQuery('.timer-1').countTo({
                        from: 0,
                        to: jQuery(".timer-1").attr("data-number"),
                        speed: 750,
                        refreshInterval: 50,
                        onComplete: function(value) {
                            if (jQuery(".key-figures-container .timer-2").length >= 1) {
                                jQuery('.timer-2').countTo({
                                    from: 0,
                                    to: jQuery(".timer-2").attr("data-number"),
                                    speed: 750,
                                    refreshInterval: 50,
                                    onComplete: function(value) {
                                        if (jQuery(".key-figures-container .timer-3").length >= 1) {
                                            jQuery('.timer-3').countTo({
                                                from: 0,
                                                to: jQuery(".timer-3").attr("data-number"),
                                                speed: 750,
                                                refreshInterval: 50,
                                                onComplete: function(value) {
                                                    if (jQuery(".key-figures-container .timer-4").length >= 1) {
                                                        jQuery('.timer-4').countTo({
                                                            from: 0,
                                                            to: jQuery(".timer-4").attr("data-number"),
                                                            speed: 750,
                                                            refreshInterval: 50
                                                        });
                                                    }
                                                }
                                            });
                                        }
                                    }
                                });
                            }
                        }
                    });
                }
            }
        }
    }


    function getUrlParameter(sParam) {
        var sPageURL = decodeURIComponent(window.location.search.substring(1)),
            sURLVariables = sPageURL.split('&'),
            sParameterName,
            i;
        for (i = 0; i < sURLVariables.length; i++) {
            sParameterName = sURLVariables[i].split('=');

            if (sParameterName[0] === sParam) {
                return sParameterName[1] === undefined ? true : sParameterName[1];
            }
        }
    };

    function getHeightDemande() {
        heightHeader = jQuery(".master_header").height();
        if (jQuery(".prop_title_zone_menu").is(':visible')) {
            heightAnchors = jQuery(".prop_title_zone_menu").height();
        } else {
            heightAnchors = 0;
        }
        return heightHeader + heightAnchors + 55;
    }

    function SetHeightImage() {
        if (jQuery(window).width() <= 767) {
            heightSearch = jQuery("#search_wrapper").outerHeight();
            heightWindow = jQuery(window).height();
            heightHeader = jQuery(".master_header").height();
            jQuery("#image-search").outerHeight(heightWindow - heightSearch - heightHeader);
        } else {
            jQuery("#image-search").outerHeight(600);
        }
    }

});



(function(jQuery) {
    jQuery.fn.countTo = function(options) {
        options = jQuery.extend({}, jQuery.fn.countTo.defaults, options || {});
        var loops = Math.ceil(options.speed / options.refreshInterval),
            increment = (options.to - options.from) / loops;
        return jQuery(this).each(function() {
            var _this = this,
                loopCount = 0,
                value = options.from,
                interval = setInterval(updateTimer, options.refreshInterval);

            function updateTimer() {
                value += increment;
                loopCount++;
                jQuery(_this).html(value.toFixed(options.decimals));

                if (typeof(options.onUpdate) == 'function') {
                    options.onUpdate.call(_this, value);
                }
                if (loopCount >= loops) {
                    clearInterval(interval);
                    value = options.to;
                    if (typeof(options.onComplete) == 'function') {
                        options.onComplete.call(_this, value);
                    }
                }
            }
        });
    };
    jQuery.fn.countTo.defaults = {
        from: 0,
        to: 100,
        speed: 1000,
        refreshInterval: 100,
        decimals: 0,
        onUpdate: null,
        onComplete: null,
    };
})(jQuery);



