<?php
$fields = get_query_var('fields', false);

if (!empty($fields['name']) && !empty($fields['id']) && !empty($fields['dataList'])) {
    $nb_data = count($fields['dataList']);
    $nb_data_first_column = ceil($nb_data/3);
    $index_second_column = $nb_data_first_column;
    $fields['dataList'] = array_values($fields['dataList']);
    $columns = [
        [],
        [],
        []
    ];

    // distribute data in column evenly
    $i = 0;
    foreach ($fields['dataList'] as $data) {
        $columns[$i][] = $data;

        //column iterator
        $i = $i == 2 ? 0 : $i + 1;
    }

    ?>
    <div class="wpestate_property_description wrapper_content " id="<?= $fields['id'] ?>">
        <h4 id="<?= $fields['id'] ?>_title"><?= $fields['name'] ?></h4>
        <div class="panel-body-custom">
            <div class="row">
                <?php
                foreach ($columns as $column) {
                    if (!empty($column)) {
                        $dataOutput = array_reduce($column, function($carry, $data){
                            return $carry .= '<div class="listing_detail"><strong>'.str_replace('(s)', '', $data->name).' : </strong>'.$data->value.'</div>';
                        }, ''); 
                       echo '<div class="col-sm-4">'.$dataOutput.'</div>';
                    }
                }
                ?>
            </div>
        </div>
    </div>
    <?php
}
