<?php
$fields = get_row();
$classes = 'bw-video';

$classes .= ' bw-video--'.$fields['field_mod_video_format'];
?>
<div class="<?= $classes ?>">
    <div class="bw-video__container">
        <video
         autoplay
         playsinline
         muted
         <?= $fields['field_mod_video_loop'] ? 'loop' : '' ?> 
         class="bw-video__video"
            >
            <source 
               src="<?= get_sub_field('field_mod_video_video')['url'] ?>"
               type="video/mp4"
               >
        </video>
        <?php
        $hasContent = !empty($fields['field_mod_video_titre'])
            || !empty($fields['field_mod_video_content']) 
            || !empty($fields['field_mod_video_link']);

        if ($hasContent) {
            ?>
            <div class="bw-video__content bw-video__content--<?= $fields['field_mod_video_align'] ?>">
                <div class="container">
                    <?php
                    if (!empty($fields['field_mod_video_titre'])) {
                        echo '<h1 class="bw-video__title">'.$fields['field_mod_video_titre'].'</h1>';
                    }

                    if (!empty($fields['field_mod_video_content'])) {
                        echo '<div class="bw-video__text">'.$fields['field_mod_video_content'].'</div>';
                    }

                    if (!empty($fields['field_mod_video_link'])) {
                        echo '<a class="wpresidence_button" href="'.$fields['field_mod_video_link']['url'].'">'.$fields['field_mod_video_link']['title'].'</a>';
                    }
                    ?>
                </div>
            </div>
            <?php
        }
        ?>
    </div>
</div>
