<?php

namespace Classes\Bwap;

class Queue
{
    public static function addMessage($key, $value)
    {
        global $wpdb;

        if (empty($key) || empty($value)) {
            return false;
        }

        if (is_object($value) || is_array($value)) {
            $value = json_encode($value);
        }
        
        return $wpdb->insert(
            $wpdb->queue,
            [
                'time'          => date('Y-m-d h:i:s'),
                'message_key'   => $key,
                'message_value' => $value
            ]
        );
    }
}
