<div class="container">
    <form class="form-horizontal js-calculateurHypotecaire">
        <div class="form-row">
            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Investissement total', 'publimmo') ?>
                </label>

                <div class="col-sm-3">
                    <div class="input-group">
                      <input type="number" class="form-control js-total" step="5000" min="0">
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Fonds propres', 'publimmo') ?>
                </label>

                <div class="col-sm-3">
                    <div class="input-group">
                      <input type="number" class="form-control js-fondsPropres" step="5000" min="0">
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <div class="col-sm-offset-3 col-sm-3">
                    <button type="submit" class="btn btn-default">
                        <?= __('Calculer maintenant le résultat', 'publimmo') ?>
                    </button>
                </div>
            </div>
        </div>

        <hr>

        <div class="form-row">
            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Financement', 'publimmo') ?>
                </label>

                <div class="col-sm-3">
                    <div class="input-group">
                      <input type="text" class="form-control js-financement" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Hypothèque 1er rang 65%', 'publimmo') ?>
                </label>

                <div class="col-sm-3">
                    <div class="input-group">
                      <input type="text" class="form-control js-hypotheque1" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>

                <div class="col-sm-3">
                    <select class="form-control js-taux1">
                        <?php
                        for ($i = 1; $i <= 6; $i += .25) {
                            echo '<option value="'.$i.'">'.$i.' %</option>';
                        }
                        ?>
                    </select>
                </div>

                <div class="col-sm-3">
                    <div class="input-group">
                      <input type="text" class="form-control js-hypotheque1-result" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Hypothèque 2ème rang', 'publimmo') ?>
                </label>

                <div class="col-sm-3">
                    <div class="input-group">
                      <input type="text" class="form-control js-hypotheque2" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>

                <div class="col-sm-3">
                    <select class="form-control js-taux2">
                        <?php
                        for ($i = 1; $i <= 7; $i += .25) {
                            echo '<option value="'.$i.'">'.$i.' %</option>';
                        }
                        ?>
                    </select>
                </div>

                <div class="col-sm-3">
                    <div class="input-group">
                      <input type="text" class="form-control js-hypotheque2-result" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Amortissement (1% de l\'hypothèque)', 'publimmo') ?>
                </label>

                <div class="col-sm-3 col-sm-offset-6">
                    <div class="input-group">
                      <input type="text" class="form-control js-amortissement" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="col-sm-3 col-sm-offset-9">
                <hr>
            </div>
        </div>
        
        <div class="form-row">
            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Charges annuelles', 'publimmo') ?>
                </label>

                <div class="col-sm-3 col-sm-offset-6">
                    <div class="input-group">
                      <input type="text" class="form-control js-chargesAnnuelles" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group">
                <label class="col-sm-3 control-label">
                    <?= __('Charges mensuelles', 'publimmo') ?>
                </label>

                <div class="col-sm-3 col-sm-offset-6">
                    <div class="input-group">
                      <input type="text" class="form-control js-chargesMensuelles" readonly>
                      <span class="input-group-addon">chf</span>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
