<?php
$icons = get_query_var('icons', false);
$imagePosition = get_query_var('imagePosition', false);

if (!empty($icons)) {
    if (!empty($icons['mod_icons_block_title'])) {
        echo '<div class="h1 text-center" style="margin-bottom: 45px">'.$icons['mod_icons_block_title'].'</div>';
    }
    ?>
    <div class="container">
        <div class="bwap-icon-list">
            <?php
            foreach ($icons as $icon) {
                echo !empty($icon['mod_icons_link'])
                    ? '<a class="bwap-icon" href="'.$icon['mod_icons_link'].'">'
                    : '<div class="bwap-icon">';

                    if (!empty($icon['mod_icons_icon'])) {
                        ?>
                        <div class="bwap-icon__image bwap-icon__image--<?= $imagePosition ?>">
                            <img
                                class="img-responsive lazy"
                                src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw=="
                                data-src="<?= $icon['mod_icons_icon']['sizes']['medium'] ?>"
                                alt=""
                                />
                         </div>
                        <?php
                    }

                    if (!empty($icon['mod_icons_title'])) {
                        echo '<div class="bwap-icon__title">'.$icon['mod_icons_title'].'</div>';
                    }

                    if (!empty($icon['mod_icons_text'])) {
                        echo '<div class="bwap-icon__text">'.$icon['mod_icons_text'].'</div>';
                    }

                    if (!empty($icon['mod_icons_link']) && !empty($icon['mod_icons_btn_label'])) {
                        echo '<div class="wpresidence_button" style="margin: 1em 0 0">'.$icon['mod_icons_btn_label'].'</div>';
                    }

                echo !empty($icon['mod_icons_link'])
                    ? '</a>'
                    : '</div>';
            }
            ?>
        </div>
    </div>
    <?php
}
